Page MenuHomeFreeBSD

devel/freebsd-gcc9: Add flavors for armv6 and armv7.
ClosedPublic

Authored by jhb on May 2 2022, 5:20 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Feb 10, 6:47 AM
Unknown Object (File)
Dec 29 2023, 5:40 PM
Unknown Object (File)
Dec 29 2023, 5:39 PM
Unknown Object (File)
Dec 29 2023, 5:39 PM
Unknown Object (File)
Dec 29 2023, 4:45 PM
Unknown Object (File)
Dec 20 2023, 6:47 AM
Unknown Object (File)
Dec 4 2023, 2:18 PM
Unknown Object (File)
Aug 30 2023, 2:24 AM
Subscribers

Details

Summary

These build GCC compilers for the armv6 and armv7 architectures
suitable for use with CROSS_TOOLCHAIN. These toolchains use
the existing arm_gnueabi flavor of binutils.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

jhb requested review of this revision.May 2 2022, 5:20 PM

I haven't gotten a full world build to finish with this, but it makes it pretty far. I'm up to the same failures I currently see on amd64 in rescue.

In theory we could have a single toolchain instead of separate armv6 and armv7 compilers, but we would need to start setting -march unconditionally for arm in <bsd.cpu.mk> whereas separate compilers here avoids requiring that.

This is fine. armv6 likely has a more limited time frame than armv7 and it certainly has a much smaller audience.
Having said that, this may help unless we wanted to opt for the more intrusive bsd.cpu.mk idea. We did it for MIPS, but there were always issues with that for edge cases, users of gmake not picking it up, etc.

This revision was not accepted when it landed; it landed in state Needs Review.May 20 2022, 5:14 PM
This revision was automatically updated to reflect the committed changes.